Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.communication
Class D_ControlInteraction

    java.lang.Object
      de.farafin.snEADy.communication.D_ControlInteraction

    public class D_ControlInteraction

extends java.lang.Object

This class is for communication between the Main Engine and user Interface

Version:
  $Revision: 1.2 $
Author:
  roland, lars TODO #lars: place here the data that the control interface should be able to share with mainEngine.

Field Summary
`int` | `ca`
`static int` | `CA_CHANGE_ARENA`
`static int` | `CA_CHANGE_ENGINE`
`static int` | `CA_CHANGE_PLAYER`
`static int` | `CA_EXIT`
`static int` | `CA_LOAD_ARENA`
`static int` | `CA_LOAD_PLAYER`
`static int` | `CA_PAUSE`
`static int` | `CA_RESTART`
`static int` | `CA_RESUME`
`static int` | `CA_STOP`
`int` | `id`
`private static java.lang.String[]` | `names`
`java.lang.Object` | `obj`

Constructor Summary
`private` | `D_ControlInteraction()`
`` | `D_ControlInteraction(int controlAction, java.lang.Object param)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CA_LOAD_ARENA

    public static final int CA_LOAD_ARENA

See Also:
  Constant Field Values

### CA_LOAD_PLAYER

    public static final int CA_LOAD_PLAYER

See Also:
  Constant Field Values

### CA_CHANGE_ARENA

    public static final int CA_CHANGE_ARENA

See Also:
  Constant Field Values

### CA_CHANGE_PLAYER

    public static final int CA_CHANGE_PLAYER

See Also:
  Constant Field Values

### CA_CHANGE_ENGINE

    public static final int CA_CHANGE_ENGINE

See Also:
  Constant Field Values

### CA_PAUSE

    public static final int CA_PAUSE

See Also:
  Constant Field Values

### CA_RESUME

    public static final int CA_RESUME

See Also:
  Constant Field Values

### CA_STOP

    public static final int CA_STOP

See Also:
  Constant Field Values

### CA_EXIT

    public static final int CA_EXIT

See Also:
  Constant Field Values

### CA_RESTART

    public static final int CA_RESTART

See Also:
  Constant Field Values

### id

    public int id

### obj

    public java.lang.Object obj

### ca

    public int ca

### names

    private static java.lang.String[] names

Constructor Detail

### D_ControlInteraction

    private D_ControlInteraction()

### D_ControlInteraction

    public D_ControlInteraction(int controlAction,
                                java.lang.Object param)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD